@Echo off
 REM ===========================================================================
 REM JobMgr Nativ.Rf.Script for Customer (c)addPLM 2006..2017
 REM Date/Time  Name   Details:
 REM 26.12.2016 J.Fes  first version
 REM ===========================================================================
 
 Call Echo "**************************************************************************"
 Call Echo "* Excuting NX12 Part Update Nativ Script for NX  PLMJobManager Environ   *"
 Call Echo "* Version: V4.1 (c)addPLM GmbH  17.07.2023                               *"
 Call Echo "**************************************************************************"

 Call Echo2 "****"
 Call Echo2 "*" " #Please Edit this Header Text Version:27.11.2025/J.Fes"
 Call Echo2 "****"


 rem -- am Anfang Farbe auf IsIdel setzen
 call ColorSet "IsExecuting"

 REM -- define incudes #New: 05.07.2016/J.Fes
 set JobMgr_10-JobScriptsInc_01=_JobMgrDefaults
 set JobMgr_10-JobScriptsInc_02=_CustomDefaults\NxPrompt

 REM -- #Doc: Inits all Basics of Job
 Call "%~dp0_JobInitial.cmd" "NXCR PartUpdate Native" "YES" "NO" "NO" "NO" "NO"

 set titleTxt=Job:[%JobName%][%TcSiteId%][%Date% %time:~0,5%][\\%ComputerName%]
 title %titleTxt%

 rem defines used NXVersion please see .\NxPrompt_Custom.cmd
 REM  set JobMgr_NXVer=NX2212
 set NXPrompt_Custom_DPNE=%CmdCurRoot_DP%\NxPrompt_Custom.cmd
 if exist "%NXPrompt_Custom_DPNE%" call "%NXPrompt_Custom_DPNE%"
 if "%JobMgr_NXPromptGet_ResCode%" equ "0" Call "%CmdCurRoot_DP%\NxPartUpdateNativ3_Execute.cmd"

 REM -- #Doc: finish the Job and cleanup JobData
 Call "%~dp0_JobFinish.cmd"
